Modify Organization Member Permissions
PUT/api/v5/enterprises/:enterprise/members/:username
Request
Path Parameters
enterprise stringrequired
Repository space address (address path of the enterprise, organization, or individual)
username stringrequired
username (alias: login)
Query Parameters
access_token stringrequired
User authorization code
- application/json
Body
rolestringrequired
Enterprise Role (viewer: viewer, tester: tester, developer: developer, maintainer: maintainer, admin: administrator, customized: customized role)
role_idstring
Role ID, if role is passed as customized, the role ID needs to be passed
Responses
- 200
Successful Response
Response Headers
- application/json
- Schema
- Example (auto)
- Example
Schema
activeinteger
rolestring
urlstring
user object
idinteger
loginstring
urlstring
html_urlstring
{
"active": 0,
"role": "string",
"url": "string",
"user": {
"id": 0,
"login": "string",
"url": "string",
"html_url": "string"
}
}
{
"active": true,
"role": "member",
"url": "https://api.gitcode.com/api/v5/enterprises/litestabc/members/malongge5",
"user": {
"id": 953,
"login": "malongge5",
"url": "https://api.gitcode.com/api/v5/malongge5",
"html_url": "https://gitcode.com/malongge5"
}
}